/*
 * Menu: Profiles > Create LibraryName Profile
 * License: EPL 1.0
 * DOM: http://localhost/com.aptana.ide.scripting
 */
 
function main() {

 	loadBundle("com.aptana.ide.editors");
    var profileObject = Packages.com.aptana.ide.editors.profiles.Profile;
    var profile = new profileObject("LibraryName", "libraryname", true);
    var temp = new Array();
    var base = "bundleentry://org.library.name/libraries/lib/libraryname/";
    var i = 0;
    temp[i] = bundles.resolveInternalUrl(base + "lib.js");
    temp[i++] = bundles.resolveInternalUrl(base + "lib.sdoc");
	profile.addURIs(temp);
    profiles.addProfile(profile);
}